| QxOrm 1.2.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
qx::service::IxService Class Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::IxService : common interface for all services defined with QxService module of QxOrm library More...

`#include <IxService.h>`

Inheritance diagram for qx::service::IxService:

List of all members.

## Public Member Functions
| IxService ()
| IxService (const QString &sServiceName)
virtual | ~IxService ()
QString | getServiceName () const
QString | getServiceMethodName () const
IxParameter_ptr | getInputParameter_BaseClass () const
IxParameter_ptr | getOutputParameter_BaseClass () const
qx_bool | getMessageReturn () const
boost::shared_ptr< QxTransaction > | getTransaction () const
void | setServiceName (const QString &s)
void | setServiceMethodName (const QString &s)
void | setInputParameter (IxParameter_ptr p)
void | setOutputParameter (IxParameter_ptr p)
void | setMessageReturn (const qx_bool &b)
void | setMessageReturn (long l, const QString &s)
void | setTransaction (const boost::shared_ptr< QxTransaction > &p)
bool | isValid () const
bool | isValidWithOutput () const
virtual void | registerClass () const
virtual void | onBeforeProcess ()
virtual void | onAfterProcess ()
## Protected Attributes
QString | m_sServiceName
| Service name <=> class name.
QString | m_sServiceMethodName
| Service method name to call.
IxParameter_ptr | m_pInputParameter
| List of input parameters (request)
IxParameter_ptr | m_pOutputParameter
| List of output parameters (reply)
qx_bool | m_bMessageReturn
| Message return to indicate if an error occured.
boost::shared_ptr< QxTransaction > | m_pTransaction
| Current transaction after executing service method.

## Detailed Description

qx::service::IxService : common interface for all services defined with QxService module of QxOrm library

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 64 of file IxService.h.

## Constructor & Destructor Documentation

qx::service::IxService::IxService | ( |  | ) |

qx::service::IxService::IxService | ( | const QString & | sServiceName | ) |

virtual qx::service::IxService::~IxService | ( |  | ) | `[virtual]`

## Member Function Documentation

IxParameter_ptr qx::service::IxService::getInputParameter_BaseClass | ( |  | ) | const`[inline]`

Definition at line 84 of file IxService.h.

qx_bool qx::service::IxService::getMessageReturn | ( |  | ) | const`[inline]`

Definition at line 86 of file IxService.h.

IxParameter_ptr qx::service::IxService::getOutputParameter_BaseClass | ( |  | ) | const`[inline]`

Definition at line 85 of file IxService.h.

QString qx::service::IxService::getServiceMethodName | ( |  | ) | const`[inline]`

Definition at line 83 of file IxService.h.

QString qx::service::IxService::getServiceName | ( |  | ) | const`[inline]`

Definition at line 82 of file IxService.h.

boost::shared_ptr<QxTransaction> qx::service::IxService::getTransaction | ( |  | ) | const

bool qx::service::IxService::isValid | ( |  | ) | const`[inline]`

Definition at line 97 of file IxService.h.

bool qx::service::IxService::isValidWithOutput | ( |  | ) | const`[inline]`

Definition at line 98 of file IxService.h.

virtual void qx::service::IxService::onAfterProcess | ( |  | ) | `[inline, virtual]`

Definition at line 102 of file IxService.h.

virtual void qx::service::IxService::onBeforeProcess | ( |  | ) | `[inline, virtual]`

Definition at line 101 of file IxService.h.

virtual void qx::service::IxService::registerClass | ( |  | ) | const`[inline, virtual]`

Reimplemented in qx::service::QxService< INPUT, OUTPUT >.

Definition at line 100 of file IxService.h.

void qx::service::IxService::setInputParameter | ( | IxParameter_ptr | p | ) | `[inline]`

Definition at line 91 of file IxService.h.

void qx::service::IxService::setMessageReturn | ( | const qx_bool & | b | ) | `[inline]`

Definition at line 93 of file IxService.h.

void qx::service::IxService::setMessageReturn | ( | long | l,
|  | const QString & | s
| ) |  | `[inline]`

Definition at line 94 of file IxService.h.

void qx::service::IxService::setOutputParameter | ( | IxParameter_ptr | p | ) | `[inline]`

Definition at line 92 of file IxService.h.

void qx::service::IxService::setServiceMethodName | ( | const QString & | s | ) | `[inline]`

Definition at line 90 of file IxService.h.

void qx::service::IxService::setServiceName | ( | const QString & | s | ) | `[inline]`

Definition at line 89 of file IxService.h.

void qx::service::IxService::setTransaction | ( | const boost::shared_ptr< QxTransaction > & | p | ) |

## Member Data Documentation

qx_bool qx::service::IxService::m_bMessageReturn`[protected]`

Message return to indicate if an error occured.

Definition at line 73 of file IxService.h.

IxParameter_ptr qx::service::IxService::m_pInputParameter`[protected]`

List of input parameters (request)

Definition at line 71 of file IxService.h.

IxParameter_ptr qx::service::IxService::m_pOutputParameter`[protected]`

List of output parameters (reply)

Definition at line 72 of file IxService.h.

boost::shared_ptr<QxTransaction> qx::service::IxService::m_pTransaction`[protected]`

Current transaction after executing service method.

Definition at line 74 of file IxService.h.

QString qx::service::IxService::m_sServiceMethodName`[protected]`

Service method name to call.

Definition at line 70 of file IxService.h.

QString qx::service::IxService::m_sServiceName`[protected]`

Service name <=> class name.

Definition at line 69 of file IxService.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxService/IxService.h